%define upstream_name    Quota
%define upstream_version 1.8.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Quota module for perl 
License:    BSD-like
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/T/TO/TOMZO/%{upstream_name}-%{version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: pkgconfig(libtirpc)
BuildRequires: quota-devel
Requires:   quota
%description
The Quota module provides access to file system quotas. The quotactl
system call or ioctl is used to query or set quotas on the local host,
or queries are submitted via RPC to a remote host. Mount tables can be
parsed with getmntent and paths can be translated to device files (or
whatever the actual quotactl implementations needs as argument) of the
according file system.

%prep
%setup -q -n %{upstream_name}-%{version}

# fix perl path
find -type f | xargs perl -pi -e "s|/usr/drwho/local/bin/perl|%{_bindir}/perl|g"
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGES INSTALL META.yml MYMETA.yml README
%{perl_vendorarch}/auto/Quota
%{perl_vendorarch}/Quota.pm
%{_mandir}/*/*


%changelog
* Tue Dec 15 2020 tv <tv> 1.8.1-3.mga8
+ Revision: 1657528
- BR pkgconfig(libtirpc)

* Wed Jun 17 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1595148
- Rebuild for perl 5.32

* Tue Apr 21 2020 tv <tv> 1.8.1-1.mga8
+ Revision: 1570227
- update to 1.8.1

* Thu Apr 16 2020 tv <tv> 1.8.0-1.mga8
+ Revision: 1567735
- update to 1.8.0

* Wed Apr 01 2020 tv <tv> 1.7.4-1.mga8
+ Revision: 1562989
- update to 1.7.4

* Sun Mar 29 2020 tv <tv> 1.7.3-1.mga8
+ Revision: 1562037
- update to 1.7.3

* Sun Feb 16 2020 umeabot <umeabot> 1.7.2-11.mga8
+ Revision: 1530090
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.7.2-10.mga8
+ Revision: 1433884
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.7.2-9.mga7
+ Revision: 1293694
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.7.2-8.mga7
+ Revision: 1249260
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.7.2-7.mga7
+ Revision: 1166394
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.7.2-6.mga7
+ Revision: 1149920
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.7.2-5.mga7
+ Revision: 1126573
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.7.2-4.mga6
+ Revision: 1032714
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.7.2-3.mga6
+ Revision: 957933
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.7.2-2.mga6
+ Revision: 845184
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.7.2-1.mga6
+ Revision: 841757
- update to 1.7.2

* Sat Oct 18 2014 umeabot <umeabot> 1.7.1-6.mga5
+ Revision: 787852
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-5.mga5
+ Revision: 747513
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 686071
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.7.1-3.mga5
+ Revision: 631608
- Rebuild for perl 5.20

* Mon Oct 21 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 538471
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 1.7.1-1.mga4
+ Revision: 489741
- update to 1.7.1

* Mon Sep 02 2013 luigiwalser <luigiwalser> 1.7.0-2.mga4
+ Revision: 474230
- fix BR for quota package split

* Fri Aug 16 2013 sander85 <sander85> 1.7.0-1.mga4
+ Revision: 466889
- update to 1.7.0

* Wed May 29 2013 jquelin <jquelin> 1.6.7-4.mga4
+ Revision: 430929
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.6.7-3.mga3
+ Revision: 372179
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.6.7-2.mga3
+ Revision: 251087
- rebuild for perl 5.16

* Mon Nov 14 2011 jquelin <jquelin> 1.6.7-1.mga2
+ Revision: 167657
- update to 1.6.7

* Wed Jun 15 2011 jquelin <jquelin> 1.6.6-1.mga2
+ Revision: 107391
- update to 1.6.6

* Sun Jun 12 2011 sander85 <sander85> 1.6.5-2.mga2
+ Revision: 104931
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.6.5-1.mga1
+ Revision: 31071
- mageia rebuild
- imported package perl-Quota

